---
layout: page
title: {{ .Title }} history
game: {{ .Guild.Game }}
raids:
{{ range $raid, $summary := .Guild.Progress }}  {{ $raid }}: {{ $summary }}
{{ end }}
---

{{ if .ShowHistory }}
{{ range .History }}
{{ $att := .Attendance }}
{{ $bosses := .Bosses }}
<h2 id="{{ .ReportID }}">{{ .Title }}</h2>
<ul>
    {{ range $bosses }}
    <li><strong>{{ .Name }}</strong> {{ .Difficulty }} x{{ .Tries }} - {{ if .Killed }}<span class="hit">killed</span>{{ else }}<span class="miss">wiped{{ end }}</li>
    {{ end }}
</ul>

<table class="sortable" aria-label="per-raid attendance">
    <tr>
        <th>Pulls</th>
        {{ range $bosses }}<th>{{ .Name }}</th>{{ end }}
    </tr>
    {{ range $raider, $boss := $att }}
    <tr>
        <td>{{ $raider }}</td>
        {{ range $bosses }}
        <td>{{ index $boss .Name }}</td>
        {{ end }}
        {{ end }}
    </tr>
</table>
{{ end }}
{{ else }}

<h2>No history available after filters have been applied</h2>
{{ end }}
